Subject: Re: openvswitch/flow WAS ( Re: [rfc] Merging the Open vSwitch datapath

From: jamal <[email-masked]>
Date: Tue, 19 Oct 2010 06:22:48 -0400

On Mon, 2010-10-18 at 17:20 +0200, Simon Horman wrote:

> As I understand things, the packet goes from the kernel to userspace
> and then (typically) comes back again.

Injection back is trivial.

> I guess that it would be possible to send a copy of the headers
> to user-sapce while the packet is quarantined in the kernel pending
> a response from user-space. I say only the headers, as typically
> that is all user-space needs to make a decision, though I guess it
> may need the body to make some types of decisions. I have no idea
> if such a scheme would be desirable in any circumstances.

quarantine the packet in the kernel would be trickier than sending the
whole thing up - for a sample of how it is done i believe the netfilter
approach (ipq?) as well as ipsec would be good samples to look at.

cheers,
jamal